Media2URL Developer Platform REST API
    • Media2URL Developer Platform - Overview & API Documentation
    • Retrieve Account & API Usage
      GET
    • Request Direct R2 Upload URL
      POST
    • Finalize Upload & Promote Asset
      POST
    • Check for Duplicate Asset
      POST
    • List Assets
      GET
    • Get Asset Details
      GET
    • Delete Asset
      DELETE
    • Presign Replacement Upload
      POST
    • Finalize Asset Replacement
      POST
    • List Asset Version History
      GET
    • List Folders
      GET
    • Create Folder
      POST
    • Import Remote URL
      POST
    • Get Job Status
      GET
    • Schemas
      • CredentialSurface
      • ProblemDetails
      • UsageResponse
      • AutomationAccountCapabilities
      • PresignUploadRequest
      • PresignUploadResponse
      • FinalizeUploadRequest
      • ReplacePresignRequest
      • AssetResource
      • CheckDuplicateRequest
      • CheckDuplicateResponse
      • PaginatedAssetList
      • VersionHistoryResponse
      • FolderResource
      • FolderListResponse
      • CreateFolderRequest
      • ImportRequest
      • ImportResponse
      • JobResource

      List Asset Version History

      GET
      /assets/{assetId}/versions
      Returns safe metadata for all historical and active versions of an asset.

      Request

      Authorization
      Bearer Token
      Provide your bearer token in the
      Authorization
      header when making requests to protected resources.
      Example:
      Authorization: Bearer ********************
      or
      Path Params

      Responses

      🟢200
      application/json
      Version history list
      Bodyapplication/json

      🟠404NotFound
      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location '/assets//versions' \
      --header 'Authorization: Bearer <token>'
      Response Response Example
      200 - Example 1
      {
          "data": [
              {
                  "id": "string",
                  "version_number": 0,
                  "content_type": "string",
                  "size": 0,
                  "file_extension": "string",
                  "is_active": true,
                  "checksum_sha256": "string",
                  "created_at": "2019-08-24T14:15:22.123Z"
              }
          ]
      }
      Modified at 2026-10-11 18:32:15
      Previous
      Finalize Asset Replacement
      Next
      List Folders
      Built with